package com.vendor.platform.ui.internal;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.platform.ui.Messages;
import com.vendor.platform.ui.internal.BundleUtils;
import org.eclipse.osgi.service.resolver.BundleSpecification;
import org.eclipse.osgi.service.resolver.VersionConstraint;
import org.eclipse.osgi.service.resolver.VersionRange;
import org.eclipse.osgi.util.NLS;

class MessageHelper {
  public static String getResolutionFailureMessage(VersionConstraint unsatisfied) {
    if (unsatisfied.isResolved())
      throw new IllegalArgumentException(); 
    if (unsatisfied instanceof org.eclipse.osgi.service.resolver.ImportPackageSpecification)
      return NLS.bind(Messages.BundleUtils_1, toString(unsatisfied)); 
    if (unsatisfied instanceof BundleSpecification) {
      if (((BundleSpecification)unsatisfied).isOptional())
        return NLS.bind(Messages.BundleUtils_2, 
            toString(unsatisfied)); 
      return NLS.bind(Messages.BundleUtils_3, toString(unsatisfied));
    } 
    return NLS.bind(Messages.BundleUtils_4, toString(unsatisfied));
  }
  
  private static String toString(VersionConstraint constraint) {
    VersionRange versionRange = constraint.getVersionRange();
    if (versionRange == null)
      return constraint.getName(); 
    return constraint.getName() + "_" + constraint.getName();
  }
}
